# Wijzigingen van vorige versie

### 1. Request body

De embed invoer is aangepast.

Van:

```
{
    "data": {
    "post_code": "2771DS",
    "house_number": "87",
     "house_addition": "",
    "target_label": "A++++",
    "eco_delta": 0
	}
}
```

Naar:

```
{
    "postcode": "2771DS",
    "housenumber": "87",
    "houseaddition": "",
    "target_label": "A++++",
    "eco_delta": 0
}
```

<mark style="background-color:red;">**De functienamen zijn ook aangepast voor consistentie met andere API's.**</mark>

### 2. Inputs

**a. Basis functies**

sloped\_roof\_insulation (changed from roof\_insulation)

flat\_roof\_insulation (changed from roof\_insulation)

electric\_cooking (new)

cooling (new)

district\_heating\_allowed (new)

electricity\_generation (new)

solar\_panels (per solar panel) (changed from integer to list)

* pv\_total\_watt\_peak
* pv\_area (changed from separate solar\_panels\_surface)
* specific\_watt\_peak
* angle
* orientation
* free\_roof\_area
* roof\_type

**b. Kosten aannames**

cost\_indicators (changed from codes to names)

* fixed\_gas\_price
* variable\_gas\_price
* energy\_tax\_gas
* fixed\_electricity\_price
* variable\_electricity\_price
* energy\_tax\_electricity
* fixed\_heat\_price
* energy\_tax\_heat
* variable\_heat\_price
* tax\_credit
* feed\_in\_compensation
* feed\_in\_cost
* fixed\_solar\_panel\_costs
* netting\_percentage
* gas\_yearly\_price\_increase
* electricity\_yearly\_price\_increase
* external\_heating\_yearly\_price\_increase
* term
* discount\_rate
* tax\_rate
* custom\_costs (TBA)

see [Cost indicators](https://docs.altum.ai/english/apis/sustainability-api-v2/cost-indicators)

**c. Maatregel filters**

* wall\_filters
* sloped\_roof\_filters
* flat\_roof\_filters
* floor\_filters

see [Measure filters](https://docs.altum.ai/english/apis/sustainability-api-v2/measure-filters)

### 3. Outputs

number \_of\_doors

solar\_panel\_yield

energy\_cost\_monthly

energy\_cost\_yonthly

return\_on\_investment

sloped\_roof\_insulation (changed from roof\_insulation)

flat\_roof\_insulation (changed from roof\_insulation)

cooling (new)

electric\_cooking (new)

solar\_panels (per solar panel)

* roof\_surface
* roof\_type
* original\_watt\_peak\_capacity
* total\_watt\_peak\_capacity
* added\_watt\_peak\_capacity
* added\_panels
* inclination\_angle
* orientation

### 4. Output aanpassingen

Van:

```
"usage": {
	"gas": 1630,
	"energy": 2286,
	"city_heating": 0
},
"usage_potential": {
	"gas": 1362,
	"energy": 75,
	"city_heating": 0
}

```

Naar:

```
"gas_usage": {
	"current": 1630,
	"potential": 1362
},
"electricity_usage": {
	"current": 2286,
	"potential": 75
},
"city_heating_usage": {
	"current": 0,
	"potential": 0
}
```

*\*energie wordt electriciteit*<br>

### 5. Functie aanpassingen

De waarde van sommige functies loopt nu van 1 tot 4 in plaats van van 0 tot 3.\
Zoals:

wall\_inulation, floor\_insulation, living\_room\_windows, bedroom\_windows and the new flat\_roof\_insulation, sloped\_roof\_insulation

Voorbeeld: “mediocre” wall\_insulation was 1 en nu is het nummer 2.

Zie documentatie voor meer informatie.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altum.ai/verduurzamen/verduurzaming-api-v2/wijzigingen-van-vorige-versie.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
